Bullet Collision Detection & Physics Library: btConvexHullInternal::Face Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btConvexHullInternal::Face Class Reference
Collaboration diagram for btConvexHullInternal::Face:
[legend]

## Public Member Functions
| Face ()
void | init (Vertex *a, Vertex *b, Vertex *c)
Point64 | getNormal ()

## Public Attributes
Face * | next
Vertex * | nearbyVertex
Face * | nextWithSameNearbyVertex
Point32 | origin
Point32 | dir0
Point32 | dir1

## Detailed Description

Definition at line 538 of file btConvexHullComputer.cpp.

## Constructor & Destructor Documentation

## ◆ Face()

btConvexHullInternal::Face::Face | ( |  | ) |
| inline

Definition at line 548 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ getNormal()

Point64 btConvexHullInternal::Face::getNormal | ( |  | ) |
| inline

Definition at line 569 of file btConvexHullComputer.cpp.

## ◆ init()

void btConvexHullInternal::Face::init | ( | Vertex * | a,
|  | Vertex * | b,
|  | Vertex * | c
| ) |  |
| inline

Definition at line 552 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ dir0

Point32 btConvexHullInternal::Face::dir0

Definition at line 545 of file btConvexHullComputer.cpp.

## ◆ dir1

Point32 btConvexHullInternal::Face::dir1

Definition at line 546 of file btConvexHullComputer.cpp.

## ◆ nearbyVertex

Vertex* btConvexHullInternal::Face::nearbyVertex

Definition at line 542 of file btConvexHullComputer.cpp.

## ◆ next

Face* btConvexHullInternal::Face::next

Definition at line 541 of file btConvexHullComputer.cpp.

## ◆ nextWithSameNearbyVertex

Face* btConvexHullInternal::Face::nextWithSameNearbyVertex

Definition at line 543 of file btConvexHullComputer.cpp.

## ◆ origin

Point32 btConvexHullInternal::Face::origin

Definition at line 544 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp